## nm-conn-utils

nm-conn-utils — Connection utilities

## Functions

NMConnection * | nm_conn_wireguard_import ()

## Description

Extra connection functionality.

## Functions

### nm_conn_wireguard_import ()

    NMConnection *
    nm_conn_wireguard_import (const char *filename,
                              GError **error);

#### Parameters

filename | name of the file to attempt to read into a new NMConnection |
error | on return, an error or `NULL` |

#### Returns

a new NMConnection imported from `path` , or `NULL` on error or if the file with `filename` was not recognized as a WireGuard config.

[transfer full]

Since: 1.40